import { RComponentOrCustomStatus, RComponentStatus } from '../components/component-status';
export declare class RStatusService {
    readonly coreStatuses: RComponentStatus[];
    isCoreStatus(status: RComponentOrCustomStatus): boolean;
    isCustomStatus(status: RComponentOrCustomStatus): boolean;
    getStatusClass(status: RComponentOrCustomStatus): string | undefined;
    protected isValidStatusString(status: RComponentOrCustomStatus): boolean;
}
